Subject: Re: xterm with bash or tcsh
From: [email-masked] (TANGUAY, LUC)

24 Mar 1998 10:29:02 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
To: [email-masked]

Robert Grace wrote:
> One problem I'm having:
>   Running xterm doesn't seem to work well with any of the shells I
> have (bash, tcsh).  Bash freezes up; tcsh works but has no
> prompt (even after I set the prompt variable!).  I've tried setting
> the "TERM" variable to "tty" and "linux" - linux works, after
> I copied /usr/X11R6.3/etc/termcap to /etc/termcap
> 
> Any ideas what I'm doing wrong?

I use xterm with no problems.  It is a lot faster than using a Windows
console.  Here's my setup:
	Windows NT 4.0 SP3, X server=Exceed V6.0
Environment variables are:
SHELL=/bin/bash
TERM=linux
PS1=(\!)
CYGFS=/Cygnus/B19
CYGREL=B19
CYGROOT=/Cygnus/B19
DISPLAY=localhost:0.0
GCC_EXEC_PREFIX=/Cygnus/B19/H-i386-cygwin32/lib/gcc-lib/
GDBTK_LIBRARY=/Cygnus/B19/share/gdbtcl

I have a script to start xterms:

--- start of script ---
#!/bin/bash
hostname=`hostname`
export DISPLAY=$(getIPaddress):0.0
export TERM=xterm
xterm_cmd="/usr/X11R6.3/bin/xterm -ls -fn 9x15 -sl 256 -sb -title 
$hostname -n $hostname"
sun_xterm_cmd="/usr/openwin/bin/xterm -ls -fn 9x15 -sl 256 -sb"

case $# in
0)      export DISPLAY=localhost:0.0
        $xterm_cmd &
        ;;
1)      xon $1 $sun_xterm_cmd -title $1 -n $1
        ;;
*)      echo "usage: $(basename $0) [host]"
        exit 1
        ;;
esac
--- end of script ---

As you can see, I can type "xterm otherhost " and a xterm from otherhost
will be launched (with appropriate .rhosts).  Last point, I've copied a
termcap from a Solaris host to get the entry for "xterm."  Hope this
help...

Luc

-- 
Luc Tanguay, ing.
Bell Canada
Recherche et génie logiciel/Software Engineering & Research
1050 Beaver Hall, 2e étage/2nd floor
Montréal (Québec) H2Z 1S4, Canada
Tél./phone: (514) 786-6440
mailto:[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".